import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Task } from '../models/task';

@Injectable({
    providedIn: 'root'
})
export class TaskService {
    private url = 'http://localhost:8080/api';
    private headers = {
        "access-control-allow-origin": "*",
        'Access-Control-Allow-Headers': 'Content-Type, Authorization',
        'Access-Control-Allow-Methods': '*',
    };

    constructor(private http: HttpClient) {}

    getTaskList(): Observable<Array<Task>> {
        return this.http.get<Task[]>(`${this.url}/tasks`);
    }

    createTask(task: Partial<Task>) {
        this.http.post(`${this.url}/tasks`, task, { headers: this.headers }).subscribe(t => console.log('TEST: ', t));
    }
}